@media only screen and (max-width: 600px) { 
	#header * {
		font-weight: 600 !important;  
		font-size: 16px;
	}

	#footer * {
		font-weight: 600 !important;  
		font-size: 12px;
	}

	.header_button {
		display: flex;
		align-items: center;
		display: none;
	}

	#mobile_menu {
		display: flex !important;
	}

	.separator {
		display: block !important; 
	}
}

body {
	margin: 0;
	padding: 0;
}

html {
	margin: 0;
	padding: 0;
}

p {
	color: white;
}

a {
	color: white;
	text-decoration: none;
}

#main {
	position: absolute;
	background-color: rgba(30, 30, 30, 0);
	background-size: contain;
	min-width: 100%;
	min-height: 100%;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	gap: 0.5rem;
}

* {
	margin: 0;
	padding: 0;
	font-family: 'Jura';
	font-weight: 800;
}

a,
a:visited {
	color: #ffffff;
}

a:hover,
a:focus {
	color: #787878;
	cursor: pointer;
}

a:hover .fa-solid {
	color: #787878;
}

a:hover .fa-brands {
	color: #787878;
}

#header {
	padding: 12px;
	font-size: 20px;
	font-weight: 800;
	display: flex;
	justify-content: space-between;
	box-shadow: 0px 1px 20px 0px rgba(128, 130, 195, 0.8);
	background: rgba(22, 22, 22, 0.45);
	backdrop-filter: blur(4px) grayscale(1);
	border-bottom: solid 3px rgb(128 130 195);
	position: relative;
	z-index: 5;
	align-items: center;
	border-radius: 10px;
	margin-top: 1rem;
	margin-bottom: auto;
	margin-left: 1%;
	margin-right: 1%;
}

#mobile_menu {
	display: none;
}

.separator {
	margin-left: 5px;
	margin-right: 5px;
	display: none;
}

.separator_balance {
	margin-left: 5px;
	margin-right: 5px;
}

#footer {
	padding: 12px;
	font-size: 20px;
	font-weight: 800;
	display: flex;
	justify-content: flex-start;
	box-shadow: 0px 1px 20px 0px rgba(128, 130, 195, 0.8);
	background: rgba(22, 22, 22, 0.45);
	backdrop-filter: blur(4px) grayscale(1);
	border-top: solid 3px rgb(128 130 195);
	position: relative;
	z-index: 1;
	align-items: flex-start;
	border-radius: 10px;
	margin-left: 1%;
	margin-right: 1%;
	margin-top: auto;
	margin-bottom: 1rem;
}

#header_1 {
	display: flex;
	align-items: center;
}

#header_2 {
	display: flex;
	align-items: center;
}

#header_2 > div:not(:last-child) {
	position: relative;
}

#header_2 > div:not(:last-child)::after {
	content: '';
	position: absolute;
	top: 50%;
	transform: translateY(-50%);
	width: 1px;
	height: 90%;
	background-color: rgba(255, 255, 255, 0.5);
}

#header_username_avatar {
	height: 1em;
	width: 1em;
	margin-right: 5px;
	border-radius: 15px;
}

#header_buttons {
	display: flex;
	align-items: center;
}

#login_button {
	display: flex;
	align-items: flex-end;
}

.cf-turnstile {
	width: 300px;
	height: 65px;
	box-shadow: 0 1px 20px 0 rgba(128, 130, 195, 0.2);
}

#center_buttons {
	display: flex;
	flex-wrap: wrap;
}

#center_buttons div {
	margin: 0px 5px;
}

#content {
	display: flex;
	position: relative;
	justify-content: center;
	align-items: flex-start;
	align-content: flex-start;
	flex-wrap: wrap;
	z-index: 2;
	gap: 0.5rem;
}

.form_host {
	display: flex;
	flex-direction: column;
	align-items: center;
	box-shadow: 0 1px 20px 0 rgba(128, 130, 195, 0.4);
	background: rgb(22, 22, 22, 0.45);
	backdrop-filter: blur(4px) grayscale(1);
	padding: 1rem 2rem;
	border: 2px solid;
	border-color: rgb(30, 30, 30, 0.5);
	border-radius: 15px;
}

#form_host_ {
	display: flex;
	flex-direction: column;
	align-items: center;
	gap: 0.25rem;
}

.form_host p {
	max-width: 80vw;
	overflow: hidden;
	text-overflow: ellipsis;
}

.fa-solid {
	color: white;
}

.fa-brands {
	color: white;
}

.selector {
	position: absolute;
	display: none;
	flex-direction: column;
	top: 2.5rem;
	box-shadow: 0px 1px 20px 0px rgba(128, 130, 195, 0.8);
	background: rgb(20 20 20 / 80%);
	backdrop-filter: blur(3px);
	border-radius: 5px;
	padding: 0px 1.25rem;
	z-index: 15;
	align-items: center;
}

.selector a {
	margin: 3px 0px;
}

#profile {
	display: flex;
	flex-direction: column;
	align-items: center;
}

#profile_avatar {
	height: 150px;
	width: 150px;
	padding: 0px;
	padding-right: 5px;
	border-radius: 50%;
}

#status {
	padding: 5px;
	position: relative;
	display: none;
	align-items: center;
	z-index: 10;
	font-size: 18px;
	justify-content: center;
}

.notify {
	padding: 5px;
	padding-left: 12px;
	padding-right: 10px;
	display: flex;
	font-size: 15px;
	border-radius: 12px;
	justify-content: center;
	flex-direction: row;
	align-items: center;
	box-shadow: 0 1px 20px 0 rgba(128, 130, 195, 1);
	opacity: 0;
	animation: fade_in 0.5s forwards;
	transition: opacity 0.5s ease-out, transform 0.5s ease-out;
	position: relative;
	margin-bottom: 0.5rem;
}

.notify.hide {
	animation: fade_out 0.5s forwards;
}

#notify_list {
	display: flex;
	position: absolute;
	left: 1rem;
	flex-direction: column;
	top: 6rem;
	z-index: 115;
	align-items: flex-start;
	transition: all 0.5s ease-out;
}

@keyframes fade_in {
	from {
		opacity: 0;
		transform: translateY(-10px);
	}
	to {
		opacity: 1;
		transform: translateY(0);
	}
}

@keyframes fade_out {
	from {
		opacity: 1;
		transform: translateY(0);
	}
	to {
		opacity: 0;
		transform: translateY(-10px);
	}
}

input[type="text"] {
	padding: 5px 5px;
	color: white;
	box-shadow: 0 1px 20px 0 rgba(128, 130, 195, 0.2);
	background: rgb(22, 22, 22, 0.3);
	backdrop-filter: blur(2px);
	border: 2px solid;
	border-color: rgb(30, 30, 30, 0.5);
	border-radius: 5px;
}

input[type="number"] {
	padding: 5px 5px;
	color: white;
	box-shadow: 0 1px 20px 0 rgba(128, 130, 195, 0.2);
	background: rgb(22, 22, 22, 0.3);
	backdrop-filter: blur(2px);
	border: 2px solid;
	border-color: rgb(30, 30, 30, 0.5);
	border-radius: 5px;
}

input[type="password"] {
	padding: 5px 5px;
	color: white;
	box-shadow: 0 1px 20px 0 rgba(128, 130, 195, 0.2);
	background: rgb(22, 22, 22, 0.3);
	backdrop-filter: blur(2px);
	border: 2px solid;
	border-color: rgb(30, 30, 30, 0.5);
	border-radius: 5px;
}

* select {
	padding: 5px 5px;
	color: white;
	box-shadow: 0 1px 20px 0 rgba(128, 130, 195, 0.2);
	background: rgb(22, 22, 22, 0.3);
	backdrop-filter: blur(2px);
	border: 2px solid;
	border-color: rgb(30, 30, 30, 0.5);
	border-radius: 5px;
}

.dropdown {
	position: relative;
	margin: 5px;
}

.dropdown_button {
	padding: 0.3rem 1rem;
	color: white;
	background: rgb(22, 22, 22, 0.3);
	backdrop-filter: blur(2px);
	box-shadow: 0 1px 20px 0 rgba(128, 130, 195, 0.2);
	border: 2px solid;
	border-color: rgb(30, 30, 30, 0.5);
	border-radius: 5px;
	cursor: pointer;
	text-align: left;
}

.dropdown_button:hover {
	background: rgb(22, 22, 22, 0.5);
}

.dropdown_list {
	list-style: none;
	display: none;
	position: absolute;
	background-color: rgb(22, 22, 22, 0.8);
	backdrop-filter: blur(2px); 
	box-shadow: 0 1px 20px 0 rgba(128, 130, 195, 0.5); 
	border: 2px solid;
	border-color: rgb(30, 30, 30, 0.5);
	border-radius: 5px;
	z-index: 10;
}

.dropdown_list li {
	padding: 5px;
	cursor: pointer;
	color: rgb(162, 162, 162);
	border-radius: 5px;
}

.dropdown_list li:hover {
	background-color: rgb(128, 130, 195);
	color: rgb(255, 255, 255);
	border-radius: 5px;
}

.dropdown_list li[disabled] {
	color: white;
	cursor: not-allowed;
}

* button {
	padding: 7px 20px;
	color: white;
	font-family: 'jura';
	font-size: 16px;
	cursor: pointer;
	box-shadow: 0 1px 20px 0 rgba(128, 130, 195, 0.2);
	background: rgb(22, 22, 22, 0.3);
	backdrop-filter: blur(2px);
	border: 2px solid;
	border-color: rgb(30, 30, 30, 0.5);
	border-radius: 5px;
}

* button:disabled {
	box-shadow: 0 1px 20px 0 rgb(255 0 0 / 20%);
	color: rgba(255, 255, 255, 0.5);
}

.header_button {
	color: white;
	font-size: 18px;
	cursor: pointer;
	overflow: hidden;
	margin: 0 0.5rem;
	
/*	padding: 0.3rem 0.3rem;
	box-shadow: 0 1px 20px 0 rgba(128, 130, 195, 0.2);
	background: rgb(30, 30, 30, 0.3);
	border: 2px solid;
	border-color: rgb(50, 50, 50, 0.5);
	border-radius: 5px;*/
}

.footer_button {
	color: white;
	font-size: 18px;
	cursor: pointer;
	overflow: hidden;
	margin: 0 0.5rem;
	
/*	padding: 0.3rem 0.3rem;
	box-shadow: 0 1px 20px 0 rgba(128, 130, 195, 0.2);
	background: rgb(30, 30, 30, 0.3);
	border: 2px solid;
	border-color: rgb(50, 50, 50, 0.5);
	border-radius: 5px;*/
}

* text {
	box-shadow: 0 1px 20px 0 rgba(128, 130, 195, 0.2);
	background: rgb(22, 22, 22, 0.3);
	backdrop-filter: blur(2px);
	padding: 5px 5px;
	border: 2px solid;
	border-color: rgb(30, 30, 30, 0.5);
	border-radius: 5px;
}

#stresser_menu {
	align-items: stretch;
	width: 300px;
	flex-wrap: wrap;
	flex-direction: row;
}

#stresser_menu label {
	color: white;
	margin-left: 0.5rem;
	margin-bottom: -0.2rem;
}

#stresser_menu2 {
	align-items: stretch;
	min-width: 300px;
}

#stresser_menu2 label {
	color: white;
	margin-left: 0.5rem;
}

::-webkit-scrollbar {
	width: 5px;
}

::-webkit-scrollbar-track {
	box-shadow: inset -1px 0px 4px 0px rgba(128, 130, 195, 0.5);
}

::-webkit-scrollbar-thumb {
	background: rgba(128, 130, 195, 0.8); 
	border-radius: 10px;
}

::-webkit-scrollbar-thumb:hover {
	background: rgba(128, 130, 195, 1); 
}

#time_limit {
	-webkit-appearance: none;
	appearance: none;
	background: transparent;
	cursor: pointer;
	width: 12rem;
	overflow: hidden;
	margin-left: 5px;
	margin-right: 5px;
}

#time_limit::-webkit-slider-runnable-track {
	background: rgb(22, 22, 22, 0.3);
	height: 0.6em;
	border: solid 2px;
	border-radius: 8px;
	border-color: rgb(50, 50, 50, 0.8);
}

#time_limit::-webkit-slider-thumb {
	-webkit-appearance: none;
	appearance: none; 
	background: rgb(80, 80, 80, 1);
	height: 1rem;
	width: 1rem;
	margin-top: -5px;
	border-radius: 15px;
	box-shadow: none;
}

#content * {
	-webkit-transition: all .5s ease;
	-o-transition: all .5s ease;
	transition: all .5s ease;
}

#content {
	-webkit-transition: all .5s ease;
	-o-transition: all .5s ease;
	transition: all .5s ease;
}

a {
	-webkit-transition: color .5s ease;
	-o-transition: color .5s ease;
	transition: color .5s ease;
}

.fa-solid {
	-webkit-transition: color .5s ease;
	-o-transition: color .5s ease;
	transition: color .5s ease;
}

.fa-brands {
	-webkit-transition: color .5s ease;
	-o-transition: color .5s ease;
	transition: color .5s ease;
}

.shop_element {
	margin: 2px;
	padding: 2rem 1.5rem;
}

.loading {
	border-radius: 0.5rem;
	background: linear-gradient(
		100deg,
		rgba(255, 255, 255, 0) 40%,
		rgba(255, 255, 255, .5) 50%,
		rgba(255, 255, 255, 0) 60%
	) rgba(30, 30, 30, 0.3);
	background-size: 200% 100%;
	background-position-x: 180%;
	animation: 0.5s loading ease-in-out infinite;
	filter: blur(5px);
}

@keyframes loading {
	to {
		background-position-x: -20%;
	}
}

.background {
	position: fixed;
	width: 100vw;
	top: 0;
	left: 0;
	height: 100vh;
	overflow: hidden;
	color: black;
	background-color: black;
}

.radial_progress {
	--hue: 100;
	--holesize: 40%;

	block-size: 1rem;
	inline-size: 1rem;
	display: grid;
	place-items: center;
	position: relative;

	&::before {
		content: '';
		position: absolute;
		top: 0;
		bottom: 0;
		left: 0;
		right: 0;
		border-radius: 50%;
		z-index: -1;
		background: conic-gradient(
			rgba(128, 130, 195, 1),
			rgba(128, 130, 195, 1),
			rgba(128, 130, 195, 1) var(--progress, 0%),
			rgba(54, 54, 54, 1) var(--progress, 0%) 100%
		);

		mask-image: radial-gradient(
			transparent var(--holesize),
			black calc(var(--holesize) + 0.5px)
		);
	}
}